<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="HelloWorld">
        <s:complexType />
      </s:element>
      <s:element name="HelloWorldResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="HelloWorldResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="TestSite">
        <s:complexType />
      </s:element>
      <s:element name="TestSiteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="TestSiteResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetWebConfig">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ConfigLocation" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetWebConfigResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetWebConfigResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetProviderSettings">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ConfigLocation" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetProviderSettingsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetProviderSettingsResult">
              <s:complexType>
                <s:sequence>
                  <s:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
                  <s:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAllFolders">
        <s:complexType />
      </s:element>
      <s:element name="GetAllFoldersResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAllFoldersResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAllDocuments">
        <s:complexType />
      </s:element>
      <s:element name="GetAllDocumentsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAllDocumentsResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="HelloWorldSoapIn">
    <wsdl:part name="parameters" element="tns:HelloWorld" />
  </wsdl:message>
  <wsdl:message name="HelloWorldSoapOut">
    <wsdl:part name="parameters" element="tns:HelloWorldResponse" />
  </wsdl:message>
  <wsdl:message name="TestSiteSoapIn">
    <wsdl:part name="parameters" element="tns:TestSite" />
  </wsdl:message>
  <wsdl:message name="TestSiteSoapOut">
    <wsdl:part name="parameters" element="tns:TestSiteResponse" />
  </wsdl:message>
  <wsdl:message name="GetWebConfigSoapIn">
    <wsdl:part name="parameters" element="tns:GetWebConfig" />
  </wsdl:message>
  <wsdl:message name="GetWebConfigSoapOut">
    <wsdl:part name="parameters" element="tns:GetWebConfigResponse" />
  </wsdl:message>
  <wsdl:message name="GetProviderSettingsSoapIn">
    <wsdl:part name="parameters" element="tns:GetProviderSettings" />
  </wsdl:message>
  <wsdl:message name="GetProviderSettingsSoapOut">
    <wsdl:part name="parameters" element="tns:GetProviderSettingsResponse" />
  </wsdl:message>
  <wsdl:message name="GetAllFoldersSoapIn">
    <wsdl:part name="parameters" element="tns:GetAllFolders" />
  </wsdl:message>
  <wsdl:message name="GetAllFoldersSoapOut">
    <wsdl:part name="parameters" element="tns:GetAllFoldersResponse" />
  </wsdl:message>
  <wsdl:message name="GetAllDocumentsSoapIn">
    <wsdl:part name="parameters" element="tns:GetAllDocuments" />
  </wsdl:message>
  <wsdl:message name="GetAllDocumentsSoapOut">
    <wsdl:part name="parameters" element="tns:GetAllDocumentsResponse" />
  </wsdl:message>
  <wsdl:portType name="ServiceSoap">
    <wsdl:operation name="HelloWorld">
      <wsdl:input message="tns:HelloWorldSoapIn" />
      <wsdl:output message="tns:HelloWorldSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="TestSite">
      <wsdl:input message="tns:TestSiteSoapIn" />
      <wsdl:output message="tns:TestSiteSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetWebConfig">
      <wsdl:input message="tns:GetWebConfigSoapIn" />
      <wsdl:output message="tns:GetWebConfigSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetProviderSettings">
      <wsdl:input message="tns:GetProviderSettingsSoapIn" />
      <wsdl:output message="tns:GetProviderSettingsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAllFolders">
      <wsdl:input message="tns:GetAllFoldersSoapIn" />
      <wsdl:output message="tns:GetAllFoldersSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAllDocuments">
      <wsdl:input message="tns:GetAllDocumentsSoapIn" />
      <wsdl:output message="tns:GetAllDocumentsSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ServiceSoap" type="tns:ServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="HelloWorld">
      <soap:operation soapAction="http://tempuri.org/HelloWorld" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="TestSite">
      <soap:operation soapAction="http://tempuri.org/TestSite" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetWebConfig">
      <soap:operation soapAction="http://tempuri.org/GetWebConfig" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetProviderSettings">
      <soap:operation soapAction="http://tempuri.org/GetProviderSettings" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllFolders">
      <soap:operation soapAction="http://tempuri.org/GetAllFolders" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllDocuments">
      <soap:operation soapAction="http://tempuri.org/GetAllDocuments" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ServiceSoap12" type="tns:ServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="HelloWorld">
      <soap12:operation soapAction="http://tempuri.org/HelloWorld" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="TestSite">
      <soap12:operation soapAction="http://tempuri.org/TestSite" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetWebConfig">
      <soap12:operation soapAction="http://tempuri.org/GetWebConfig" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetProviderSettings">
      <soap12:operation soapAction="http://tempuri.org/GetProviderSettings" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllFolders">
      <soap12:operation soapAction="http://tempuri.org/GetAllFolders" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllDocuments">
      <soap12:operation soapAction="http://tempuri.org/GetAllDocuments" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="Service">
    <wsdl:port name="ServiceSoap" binding="tns:ServiceSoap">
      <soap:address location="http://localhost/BL.REMOTINGHOST/Config_Provider/service.asmx" />
    </wsdl:port>
    <wsdl:port name="ServiceSoap12" binding="tns:ServiceSoap12">
      <soap12:address location="http://localhost/BL.REMOTINGHOST/Config_Provider/service.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>